/** START: wordpress user bar workaround **/
#wpadminbar {
    position: absolute !important;
}

/** END: wordpress user bar workaround **/

/* MAIN MENU */
.menu-primary-nav-toggle-input,
.menu-primary-nav-toggle-label {
  display: none;
}
#primary-navigation ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}
#primary-navigation {
  background-color: var(--primary-navigation-bg-color);
  color: var(--primary-navigation-lnk-color);
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.5);
}
#primary-navigation a {
  color: var(--primary-navigation-lnk-color);
}
#primary-navigation a:hover {
  color: var(--primary-navigation-lnk-hov-color);
}
@media screen and (max-width: 991.98px) {
  /* mobile */
  #primary-navigation .menu-primary-nav-toggle-label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: var(--gap-standard);
    background: var(--primary-navigation-bg-color);
    cursor: pointer;
    z-index: 10;
    position: relative;
    font-weight: bold;
    text-transform: uppercase;
  }
  .menu-primary-nav-toggle-input {
    display: none !important;
  }
  .menu-primary-navigation-container {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows 0.3s ease-in-out;
    overflow: hidden;
    background-color: var(--primary-navigation-bg-color);
  }
  .menu-primary-nav-toggle-input:checked
    + .menu-primary-nav-toggle-label
    + .menu-primary-navigation-container {
    border-top: 3px solid var(--primary-navigation-sub-bg-color);
    grid-template-rows: 1fr;
  }

  #primary-navigation ul {
    display: flex;
    flex-direction: column;
    min-height: 0;
  }
  #primary-navigation ul#menu-primary-navigation > li.menu-item a {
    display: block;
    padding: var(--gap-standard);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu
    > li
    a {
    background-color: var(--primary-navigation-sub-bg-color);
    font-size: 0.9em;
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu
    > li
    a::before {
    font: var(--fa-font-solid);
    content: '\f105';
    display: inline-block;
    transition: transform 0.3s ease;
    transform: rotate(0deg);
    padding-right: var(--gap-standard);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu
    > li.menu-item-has-children
    > ul.sub-menu
    > li
    a {
    background-color: var(--primary-navigation-sub-sub-bg-color);
    font-size: 0.8em;
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu
    > li.menu-item-has-children
    > ul.sub-menu
    > li
    a::before {
    font: var(--fa-font-solid);
    content: '\f101';
    display: inline-block;
    transition: transform 0.3s ease;
    transform: rotate(0deg);
    padding-right: var(--gap-standard);
  }
}
@media (min-width: 992px) {
  /* desktop */
  #primary-navigation {
    position: sticky;
    top: 0;
    z-index: 9999;
  }
  #primary-navigation .menu-primary-nav-toggle-input,
  #primary-navigation .menu-primary-nav-toggle-label {
    display: none;
  }
  #primary-navigation ul#menu-primary-navigation {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: stretch;
    gap: var(--gap-standard);
  }
  #primary-navigation ul#menu-primary-navigation .current-menu-item > a,
  #primary-navigation ul#menu-primary-navigation .current-menu-ancestor > a {
    font-weight: bold;
  }
  #primary-navigation ul#menu-primary-navigation > li.menu-item {
    position: relative;
    flex: 1 1;
    max-width: 225px;
    display: flex;
    align-items: center;
    text-transform: uppercase;
  }
  #primary-navigation ul#menu-primary-navigation > li.menu-item a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: var(--gap-standard);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > a::after {
    font: var(--fa-font-solid);
    content: '\f078';
    display: inline-block; /* Required for transform to work */
    transition: transform 0.3s ease;
    transform: rotate(0deg);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children:hover
    > a::after {
    transform: rotate(180deg);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    z-index: 9998;
    text-transform: none;

    background-color: var(--primary-navigation-sub-bg-color);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu
    > li.menu-item-has-children
    > ul.sub-menu {
    position: absolute;
    top: 0;
    left: 100%;
    width: 100%;
    z-index: 9997;

    background-color: var(--primary-navigation-sub-sub-bg-color);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu,
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children
    > ul.sub-menu
    > li.menu-item-has-children
    > ul.sub-menu {
    display: block;
    visibility: hidden;
    opacity: 0;
    transform: translateY(10px);
    transition:
      opacity 0.3s ease,
      transform 0.3s ease,
      visibility 0.3s;
    pointer-events: none;
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children:hover
    > ul.sub-menu,
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children:hover
    > ul.sub-menu
    > li.menu-item-has-children:hover
    > ul.sub-menu {
    display: block;
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children:hover
    > ul.sub-menu
    > li.menu-item-has-children
    > a::after {
    font: var(--fa-font-solid);
    content: '\f054';
    display: inline-block; /* Required for transform to work */
    transition: transform 0.3s ease;
    transform: rotate(0deg);
  }
  #primary-navigation
    ul#menu-primary-navigation
    > li.menu-item-has-children:hover
    > ul.sub-menu
    > li.menu-item-has-children:hover
    > a::after {
    transform: rotate(180deg);
  }
}



/* nav.primary-nav-menu {
    background-color: var(--primary-nav-bg-color);
    color: var(--primary-nav-txt-color);
    transition: top 0.3s ease;
    position: sticky;
    top: var(--wp-admin-offset);
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.5);
    z-index: 1000;
}
nav.primary-nav-menu ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}



nav.primary-nav-menu ul#menu-primary-navigation {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
}

nav.primary-nav-menu ul#menu-primary-navigation li {
    text-transform: uppercase;
    font-weight: bold;
    flex: 1;
    position: relative;
}
nav.primary-nav-menu ul#menu-primary-navigation > li > a {
    color: var(--primary-nav-lnk-color);
    padding: 1rem 1.5rem;
    display: flex;
    align-items: center;
    gap: var(--sm-gap);
}
nav.primary-nav-menu ul#menu-primary-navigation > li > a:hover {
    color: var(--primary-nav-lnk-hov-color);
}
nav.primary-nav-menu ul#menu-primary-navigation > li.menu-item-has-children > a::after {
    display: block;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font: var(--fa-font-solid);
    content: '\f078';
    margin-left: auto;
    transition: transform 0.3s ease-in-out;
    transform: rotate(0deg);
}
nav.primary-nav-menu ul#menu-primary-navigation > li.menu-item-has-children:hover > a::after {
    transform: rotate(180deg);
}
nav.primary-nav-menu ul#menu-primary-navigation > li.current_page_item, nav.primary-nav-menu ul#menu-primary-navigation > li.current_page_ancestor {
    background-color: var(--primary-nav-child-bg-color);
    color: var(--primary-nav-child-txt-color);
}
nav.primary-nav-menu ul#menu-primary-navigation > li.current_page_item > a, nav.primary-nav-menu ul#menu-primary-navigation > li.current_page_ancestor > a {
    color: var(--primary-nav-child-lnk-color);
}
nav.primary-nav-menu ul#menu-primary-navigation > li.current_page_item > a:hover, nav.primary-nav-menu ul#menu-primary-navigation > li.current_page_ancestor > a:hover {
    color: var(--primary-nav-child-lnk-hov-color);
}




nav.primary-nav-menu ul.sub-menu {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%; 
    width: 100%;
    background-color: var(--primary-nav-child-bg-color);
    color: var(--primary-nav-child-txt-color);
    box-shadow: 0 0 10px 0 rgba(0,0,0,0.5);
    
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    
    transition: opacity 0.3s ease, visibility 0.3s;
    z-index: 999;
}
nav.primary-nav-menu li.menu-item-has-children:hover ul.sub-menu {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}
nav.primary-nav-menu ul.sub-menu > li > a {
    color: var(--primary-nav-child-lnk-color);
    padding: 1rem;
    display: flex;
    align-items: center;
    gap: var(--sm-gap);
}
nav.primary-nav-menu ul.sub-menu > li > a:hover {
    color: var(--primary-nav-child-lnk-hov-color);
} */